# -*- coding: utf-8 -*-

import urllib, sys, re, os, string, random, unicodedata
import xbmc, xbmcgui, xbmcplugin, xbmcaddon, xbmcvfs
#import inspect, io

import six
from six.moves import urllib_parse

try:
    # Python 2
    import urllib2
except ImportError:
    # Python 3
    pass

try:
    # Python 3
    import html.parser
except ImportError:
    # Python 2
    import HTMLParser

#=========================================================================================================

def replaceHTMLCodes(txt):
    #log(repr(txt), 5)

    txt = re.sub("(&#[0-9]+)([^;^0-9]+)", "\\1;\\2", makeUTF8(txt))

    try: #python3
        txt = html.parser.HTMLParser().unescape(txt)
    except: #python2
        txt = HTMLParser.HTMLParser().unescape(txt)
	
    txt = txt.replace("&amp;", "&")
    #log(repr(txt), 5)
    return txt

#=========================================================================================================

def makeAscii(data):
    #log(repr(data), 5)
	
    #if sys.hexversion >= 0x02050000:
    #        return data

    try:
        return data.encode('ascii', "ignore")
    except:
        #log("Hit except on : " + repr(data))

        if six.PY3:
            s = "" 
        else:
            s = u""

        for i in data:
            try:
                i.encode("ascii", "ignore")
            except:
                #log("Can't convert character", 4)
                continue
            else:
                s += i

        #log(repr(s), 5)
        return s

#=========================================================================================================

def makeUTF8(data):
    #log(repr(data), 5)
    #return data
    try:
        return data.decode('utf8', 'xmlcharrefreplace')
    except:
        #log("Hit except on : " + repr(data))

        if six.PY3:
            s = "" 
        else:
            s = u""

        for i in data:
            try:
                i.decode("utf8", "xmlcharrefreplace") 
            except:
                #log("Can't convert character", 4)
                continue
            else:
                s += i
        #log(repr(s), 5)
        return s

#=========================================================================================================

def getXBMCVersion():
    #log("", 3)
    version = xbmc.getInfoLabel( "System.BuildVersion" )
    #log(version, 3)
    for key in ["-", " "]:
        if version.find(key) -1:
            version = version[:version.find(key)]
    version = float(version)
    #log(repr(version))
    return version

#=========================================================================================================
