# -*- coding: utf-8 -*-

import urllib, sys, re, os, unicodedata
import xbmc, xbmcgui, xbmcplugin, xbmcaddon, xbmcvfs
#import urllib2

try:
    # Python 3
    from urllib.request import urlopen, Request
except ImportError:
    # Python 2
    from urllib2 import urlopen, Request

try:
    # Python 3
    from html.parser import HTMLParser
except ImportError:
    # Python 2
    from HTMLParser import HTMLParser

try:
    # Python 3
    from io import StringIO
except ImportError:
    # Python 2
    from StringIO import StringIO

from resources.lib.modules.common import *
from sys import version_info
		
params = get_params()
mode = None

#===============================================================================

addon_id = xbmcaddon.Addon().getAddonInfo('id') 
selfAddon = xbmcaddon.Addon(id=addon_id)

try:
    datapath= xbmcvfs.translatePath(selfAddon.getAddonInfo('profile'))
except:
    datapath= xbmc.translatePath(selfAddon.getAddonInfo('profile'))

plugin_handle = int(sys.argv[1])
dialog = xbmcgui.Dialog()
mysettings = xbmcaddon.Addon(id = 'plugin.video.iamovies')
profile = mysettings.getAddonInfo('profile')
home = mysettings.getAddonInfo('path')

try:
    fanart = xbmcvfs.translatePath(os.path.join(home, 'fanart.jpg'))
    icon = xbmcvfs.translatePath(os.path.join(home, 'icon.png'))
    art = xbmcvfs.translatePath(os.path.join('special://home', 'addons', addon_id, 'resources', 'art/'))
except:
    fanart = xbmc.translatePath(os.path.join(home, 'fanart.jpg'))
    icon = xbmc.translatePath(os.path.join(home, 'icon.png'))
    art = xbmc.translatePath(os.path.join('special://home', 'addons', addon_id, 'resources', 'art/'))

base = 'https://archive.org'

duration=7500 #in milliseconds
message = "[B][COLORred]Link May No Longer Be Available, You Could Try Again Later[/COLOR][/B]"
msg2 = "[B][COLORlime]Grab The Popcorn, Movie Is Loading[/COLOR][/B]"

lastPage = ''
 
#===============================================================================

#@route(mode='main')
def Main():

        add_link_info('[B][COLORindianred] Internet Archive Movies[/COLOR][/B]', icon, fanart)
        addDirMain('[B][COLOR white]Scifi & Horror Collection[/COLOR][/B]',base+'/details/SciFi_Horror?&sort=titleSorter',20,art+'scifi-horror.png',fanart)
        addDirMain('[B][COLOR white]Feature Film Collection[/COLOR][/B]',base+'/details/feature_films_picfixer?&sort=titleSorter',20,art+'feature.png',fanart)
        addDirMain('[B][COLOR white]Video Cellar Collection[/COLOR][/B]',base+'/details/TheVideoCellarCollection?&sort=titleSorter',20,art+'cellar.png',fanart)
        addDirMain('[B][COLOR white]Comedy Film Collection[/COLOR][/B]',base+'/details/Comedy_Films?&sort=titleSorter',20,art+'comedyc.png',fanart)
        addDirMain('[B][COLOR white]Film Noir Collection[/COLOR][/B]',base+'/details/Film_Noir?&sort=titleSorter',20,art+'filmnoir.png',fanart)
        addDirMain('[B][COLOR white]Colorized Collection[/COLOR][/B]',base+'/details/colorized-movies?&sort=titleSorter',20,art+'colorized.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Adventure[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Adventure"&and[]=subject%3A"adventure"',20,art+'adventure.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Action[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Action"',20,art+'action.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Comedy[/COLOR][/B]',base+'/details/Comedy_Films?&sort=titleSorter&page=1',20,art+'comedy.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Crime[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Crime"',20,art+'crime.png',fanart)
        #addDirMain('[B][COLOR white]Feature Films: Genre Drama[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"drama"&and[]=subject%3A"Drama"',20,art+'drama.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Family[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Family"&and[]=subject%3A"family"',20,art+'family.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Film Noir[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Film%20Noir"&and[]=subject%3A"film%20noir"',20,art+'noir.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Horror[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"horror"&and[]=subject%3A"Horror"',20,art+'horror.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Musical[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"musical"&and[]=subject%3A"Musical"',20,art+'musical.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Mystery[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Mystery"&and[]=subject%3A"mystery"',20,art+'mystery.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Romance[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Romance"&and[]=subject%3A"romance"',20,art+'romance.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Sci-fi[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"sci-fi"&and[]=subject%3A"Sci-Fi"&and[]=subject%3A"science%20fiction"',20,art+'scifi.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Thriller[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Thriller"&and[]=subject%3A"thriller"',20,art+'thriller.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre War[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"War"&and[]=subject%3A"WWII"&and[]=subject%3A"war"',20,art+'war.png',fanart)
        addDirMain('[B][COLOR white]Feature Films: Genre Western[/COLOR][/B]',base+'/details/feature_films?and[]=collection%3A"moviesandfilms"&and[]=subject%3A"Western"&and[]=subject%3A"western"',20,art+'western.png',fanart)
        addDirMain('[B][COLOR white]Search Classics[/COLOR][/B]','url',12,art+'search.jpg',fanart)
        #add_link_info('[B][COLORindianred] [/COLOR][/B]', icon, fanart)

#===========================================================================================
		
def getTitles(url):
	
    #errorMsg="%s" % (url)
    #xbmcgui.Dialog().textviewer("url", errorMsg)
	
    content = open_url(url)
	
    cluster = re.compile('<span class="big-label blue-pop">(.+?)<div class="about-box item-details-metadata">', re.DOTALL).findall(str(content))

    cluster=cleanTEXT(str(cluster))
    cluster = str(cluster).replace('   ',' ').replace("\\\n","").replace("\\n","").replace("\\","").replace('   ',' ')
	
    #errorMsg="%s" % (cluster)
    #xbmcgui.Dialog().textviewer("cluster", errorMsg)

    match = get_multiple_matches(str(cluster), '<div class="item-ia" data-id="(.+?)<div class="C5"></div>')
	
    #errorMsg="%s" % (match)
    #xbmcgui.Dialog().textviewer("match", errorMsg)

    nextpage = re.compile('alt="Fetching more results"/>.+?<a href="(.+?)" type="button" class="page-next">Next Page</a>', re.DOTALL).findall(str(content))
	
    #errorMsg="%s" % (nextpage)
    #xbmcgui.Dialog().textviewer("nextpage", errorMsg)

    #for theUrl,name,tileInfo,stars in match:
	
    for entry in match:

        #<a href="(.+?)" title="(.+?)".+?<div class="details-ia hidden-tiles">.+?<span>(.+?)</span>.+?<span alt="(.+?)" title=".+?"><span class="iconochive-favorite"

        theUrl = get_one_match(str(entry), '<a href="(.+?)" title="')
        theUrl = base + theUrl	

        name = get_one_match(str(entry), '<a href=".+?" title="(.+?)"')
        name=cleanTEXT(name)
        name=name.replace(',','').replace('\\xe3\\x82\\xac\\xe3\\x83\\xa1\\xe3\\x83\\xa9\\xe5\\xaf\\xbe\\xe5\\xa4\\xa7\\xe6\\x82\\xaa\\xe7\\x8d\\xa3\\xe3\\x82\\xae\\xe3\\x83\\xad\\xe3\\x83\\xb3','').replace('\\xe5\\xbe\\xa9\\xe6\\xb4\\xbb\\xe3\\x81\\xae\\xe6\\x97\\xa5','')
		
        #errorMsg="%s" % (name)
        #xbmcgui.Dialog().textviewer("name", errorMsg)

        tileInfo = get_one_match(str(entry), '<span>(.+?)</span>')
        tileInfo=cleanTEXT(tileInfo)
        tileInfo=tileInfo.replace('\\\\xe2\\\\x80\\\\x9c','').replace('\\xe2\\x80\\x9c','')
		
        if 'https://silent-hall-of-fame.org/' in tileInfo:
            tileInfo = 'Silent Movie'

        stars = get_one_match(str(entry), '<span alt="(.+?)" title=')
        stars=stars.replace('out ','')
		
        if stars:
            theStars = ' - [/COLOR][/B][B][COLORindianred]' +stars+ '[/COLOR][/B][B][COLORwhite]'
            if tileInfo:
                theStars = theStars + ' - [/COLOR][/B]'
            else:
                theStars = theStars + '[/COLOR][/B]'
        else:
            if tileInfo:
                theStars = '[B][COLORwhite] - [/COLOR][/B]'		
            else:
                theStars = ''		
		
        iconimage=theUrl.replace('/details/','/services/img/')

        if theUrl and 'all-time' not in name and 'results' not in name and'This is a short preview' not in tileInfo:
            addLink("[B][COLOR white]" + name +theStars + "[B][COLORwhite]" +tileInfo+ "[/COLOR][/B]",theUrl,30,iconimage,fanart)
		
    for item in nextpage:
		
        #errorMsg="%s" % (item)
        #xbmcgui.Dialog().textviewer("item", errorMsg)
       
        name = 'Next Page'
        iconimage = art+'nextpage.png'
        nextUrl = base + str(item)
		
        #errorMsg="%s" % (nextUrl)
        #xbmcgui.Dialog().textviewer("nextUrl", errorMsg)
	
        theContent = open_url(nextUrl)
        match = get_one_match(str(theContent), '<div class="no-results">(.+?) matched your criteria.</div>')
		
        if match != 'No results':
            addDirMain('[B][COLORindianred]%s[/COLOR][/B]' %name, nextUrl, 20, iconimage, fanart)

#===========================================================================================

def moviePage(theUrl,theName): #FUTURE

    theContent = open_url(url)
	
    cluster = re.compile('<div class="sortbar-rule">(.+?)<input class="js-date_switcher" type="hidden"', re.DOTALL).findall(str(theContent))
	
    #errorMsg="%s" % (cluster)
    #xbmcgui.Dialog().textviewer("cluster", errorMsg)

    match = get_multiple_matches(str(cluster), '<a href="(.+?)" title="(.+?)"')
				
    #errorMsg="%s" % (match)
    #xbmcgui.Dialog().textviewer("match", errorMsg)
	
    for theUrl,name in match:
	
        theUrl = base + theUrl	
        iconimage=theUrl.replace('/details/','/services/img/')

        name=cleanTEXT(name)
        #name=makeAscii(name)
        #name=cleanTEXT(str(name))
		
        #errorMsg="%s" % (name)
        #xbmcgui.Dialog().textviewer("name", errorMsg)
		
        name=str(name)		
        name=name.replace("\\\\'","'").replace("\\\'","'").replace("\\'","'").replace(',','') 
        name=name.replace('\\xe3\\x82\\xac\\xe3\\x83\\xa1\\xe3\\x83\\xa9\\xe5\\xaf\\xbe\\xe5\\xa4\\xa7\\xe6\\x82\\xaa\\xe7\\x8d\\xa3\\xe3\\x82\\xae\\xe3\\x83\\xad\\xe3\\x83\\xb3','').replace('\\xe5\\xbe\\xa9\\xe6\\xb4\\xbb\\xe3\\x81\\xae\\xe6\\x97\\xa5','')
        name=name.replace('\\xc3\\xb1','n').replace('\\xc3\\xbc','u').replace('\\xc3\\xb1','n').replace('\\xc3\\xad','i').replace('\\xc2\\xba','o').replace('\\xc3\\x81','A').replace('\\xc5\\xab','').replace('\\xc3\\xa1','a').replace('\\xc3\\x8a','E').replace('\\xc3\\xb3','o').replace('\\xc3\\xba','u').replace('\\xc3\\xa1','a')

        if theUrl and 'all-time' not in name and 'results' not in name:
            add_link("[B][COLOR white]" +name +"[/COLOR][/B]",theUrl,30,iconimage,fanart,'this is the description')

#====================================================================

    add_link_info('[B][COLORindianred] [/COLOR][/B]', icon, fanart)

#====================================================================





    playImage = art + 'nextpage'
    add_link("[B][COLOR white]" 'Play ' +name +"[/COLOR][/B]",theUrl,30,playImage,fanart,'this is the description')

#===========================================================================================

def search():
    search_entered =''
    keyboard = xbmc.Keyboard(search_entered, 'Search')
    keyboard.doModal()
    if keyboard.isConfirmed():
        search_entered = keyboard.getText().replace(' ','+')
    if len(search_entered)>1:
        url = base+'/details/moviesandfilms?query=' + search_entered
        getTitles(url)

#===========================================================================================

def playLINK(name,url,iconimage):
    link=open_url(url)
    match = get_multiple_matches(str(link),'<meta property="og:video" content="(.+?)">')
    for url in match:
        liz = xbmcgui.ListItem(name);
        liz.setInfo(type='Video', infoLabels={"Title":name,"Plot":description})
        liz.setProperty("IsPlayable","true")
        liz.setPath(url)
		
        try:
            dialog.notification("[B][COLORred]Resolver Initiated[/COLOR][/B]", msg2, xbmcgui.NOTIFICATION_INFO, duration)
            xbmcplugin.setResolvedUrl(int(sys.argv[1]), True, liz)
        except:
            dialog.notification("[B][COLORred]Resolver Initiated[/COLOR][/B]", message, xbmcgui.NOTIFICATION_INFO, duration)
		
#===========================================================================================

def open_url(url):

    try:
        try: #Python 2	
            req = Request(url)
            req.add_header('User-Agent', 'Mozilla/5.0 (X11; CrOS i686 2268.111.0) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.57 Safari/536.11')
            response = urlopen(req)
            link=response.read()
            response.close()
            return link
        except: #Python 3	
            req = Request(url)
            req.add_header('User-Agent', 'Mozilla/5.0 (X11; CrOS i686 2268.111.0) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.57 Safari/536.11')
            response = urlopen(req)
            content=response.read()
            link = content.decode('ISO-8859-1')  # encoding may vary!
            response.close()
            return link  
    except:		
        xbmcgui.Dialog().notification("[B][COLORred]Unable to Open URL at this Time![/COLOR][/B]", "[B][COLORred]Please Try Again, theWebsite is Too Busy![/COLOR][/B]")



    #req = Request(url)
    #import random
    #user_agent = ('User-Agent', 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.1 (KHTML, like Gecko) Chrome/21.0.1180.75 Safari/537.1')
    #req.add_header('User-Agent', random.choice(user_agent))

    #try:
    #    response = urlopen(req)
    #    link=response.read()
    #    response.close()
    #    return link  
    #except:		
    #    xbmcgui.Dialog().notification("[B][COLORred]Unable to Open URL at this Time![/COLOR][/B]", "[B][COLORred]Please Try Again, theWebsite is Too Busy![/COLOR][/B]")
		
    #link=link.replace('\n','').replace('\r','')

#===========================================================================================

def get_multiple_matches(text,pattern): 
    matches=re.findall(pattern,text,re.DOTALL); return matches

def get_one_match(text,pattern):
    try: matches=re.findall(pattern,text,flags=re.DOTALL); result=matches[0]
    except: result=""
    return result

#===========================================================================================
	
def get_params():
    param = []
    paramstring = sys.argv[2]
    if len(paramstring) >= 2:
        params = sys.argv[2]
        cleanedparams = params.replace('?', '')
        if (params[len(params) - 1] == '/'):
            params = params[0:len(params) - 2]
        pairsofparams = cleanedparams.split('&')
        param = {}
        for i in range(len(pairsofparams)):
            splitparams = {}
            splitparams = pairsofparams[i].split('=')
            if (len(splitparams)) == 2:
                param[splitparams[0]] = splitparams[1]

    return param


def get_setting(setting):
    return addon.getSetting(setting)

def set_setting(setting, string):
    return addon.setSetting(setting, string)

def get_string(string_id):
    return addon.getLocalizedString(string_id)

#==========================================================================================================
		
params=get_params()
url=None
name=None
mode = None
iconimage=None
description=None

#===================== Python 2 ======================

try:
        url=urllib.unquote_plus(params["url"])
except:
        pass
try:
        name=urllib.unquote_plus(params["name"])
except:
        pass
try:
        mode = urllib.unquote_plus(params["mode"])
except:
        pass
try:
        iconimage=urllib.unquote_plus(params["iconimage"])
except:
        pass
try:
        mode=int(params["mode"])
except:
        pass

#===================== Python 3 ======================

try:
        url=urllib.parse.unquote_plus(params["url"])
except:
        pass
try:
        name=urllib.parse.unquote_plus(params["name"])
except:
        pass
try:
        mode = urllib.parse.unquote_plus(params["mode"])
except:
        pass
try:
        iconimage=urllib.parse.unquote_plus(params["iconimage"])
except:
        pass
try:
        mode=int(params["mode"])
except:
        pass

#=======================================================
	
#errorMsg="%s" % (str(mode))
#xbmcgui.Dialog().ok("mode", errorMsg)

#=========================================

if mode == 10:
	genreList()
		
elif mode == 11:
	decadesList()		
		
elif mode == 12:
	search()

elif mode == 13:
	searchContent(name,url)
	
elif mode == 14:
	getLatest(name,url,iconimage)

elif mode == 15:
	getPopular(name,url,iconimage)

elif mode == 20:
	getTitles(url)

elif mode == 30:
	playLINK(name,url,iconimage)

#=========================================		

elif mode is None:
	Main()

#=========================================		
		
xbmcplugin.endOfDirectory(plugin_handle)

#=========================================
